from PIL import Image

img = Image.open("yoda.jpg")
largeur, hauteur =                        # dimensions de l’image RGB

img_ASCII = 

for l                       :               # Parcourir les lignes du tableau img_ASCII
    for c                       :           # Parcourir les colonnes du tableau img_ASCII
        somme = 0
        for y                             :         # Parcourir les lignes de la zone
            for x                             :     # Parcourir les colonnes de la zone
                                                    # récupérer les composantes R, G et B
                                                       # calculer niveau de gris
                somme = 
        moyNG =                                     # calculer la moyenne des niveaux de gris
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        

# sauvegarde du tableau dans le fichier ascii.txt
f = open('ascii.txt', 'w')
for l in range(hauteur // 5):
    for c in range(largeur // 3):
        f.write(img_ASCII[l][c])
    f.write('\n')
f.close()
